#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    map<int, int> gadjanja;
    int n, k;
    cin >> n >> k;
    for(int i = 0; i < n; i++){
        int meta;
        cin >> meta;
        if(gadjanja.find(meta) != gadjanja.end()){
            gadjanja[meta]++;
        }
        else{
            gadjanja.insert(make_pair(meta, 1));
        }
    }
    int rez = 0;
    vector<int> kvalitet;
    for(auto x : gadjanja){
        if(x.second >= k){
            rez++;
            kvalitet.push_back(x.first);
        }
    }
    cout << rez << "\n";
    for(int i = 0; i < rez; i++)
        cout << kvalitet[i] << " ";
}